Package: groovy.xml.streamingmarkupsupport

## [Groovy] Class AbstractStreamingBuilder

- groovy.xml.streamingmarkupsupport.AbstractStreamingBuilder

-     class AbstractStreamingBuilder
      extends Object

  Base support for streaming XML builders that manage namespaces and special `mkp` helper tags.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `aliasSetupClosure` Closure backing `mkp.declareAlias` to register namespace-specific tag aliases.
    `Object` | `badTagClosure` Closure used when a namespace forbids a requested tag.
    `Object` | `builder` Backing builder assigned by concrete subclasses when they install their element closures.
    `Object` | `checkCommentText` Rejects comment text that would prematurely close the comment.
    `Object` | `checkProcessingInstruction` Rejects a processing-instruction target or data fragment that would prematurely close the PI.
    `Object` | `getNamespaceClosure` Closure backing `mkp.getNamespaces` to expose active and pending namespace mappings.
    `Object` | `namespaceSetupClosure` Closure backing `mkp.declareNamespace` to queue namespace declarations for the next element.
    `Object` | `specialTags` Registry of built-in `mkp` helper tags shared by concrete streaming builders.
    `Object` | `toMapStringClosure` Utility closure for rendering map entries as pseudo-attribute text, e.g. in processing instructions.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractStreamingBuilder()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### @SuppressWarnings(value="Instanceof")
      Object aliasSetupClosure

      Closure backing `mkp.declareAlias` to register namespace-specific tag aliases.

    - #### Object badTagClosure

      Closure used when a namespace forbids a requested tag.

    - #### Object builder

      Backing builder assigned by concrete subclasses when they install their element closures.

    - #### Object checkCommentText

      Rejects comment text that would prematurely close the comment. Comment content cannot contain `--` or end with `-` (which would form `--` against the closing delimiter), and no escaping is legal inside a comment, so such text is rejected instead.

    - #### Object checkProcessingInstruction

      Rejects a processing-instruction target or data fragment that would prematurely close the PI. The `?>` sequence ends a PI and cannot be entity-escaped, so content holding it would inject sibling markup; such content is rejected instead.

    - #### Object getNamespaceClosure

      Closure backing `mkp.getNamespaces` to expose active and pending namespace mappings.

    - #### Object namespaceSetupClosure

      Closure backing `mkp.declareNamespace` to queue namespace declarations for the next element.

    - #### Object specialTags

      Registry of built-in `mkp` helper tags shared by concrete streaming builders.

    - #### Object toMapStringClosure

      Utility closure for rendering map entries as pseudo-attribute text, e.g. in processing instructions.

  - ### Constructor Detail

    - #### AbstractStreamingBuilder()